(function () {
  'use strict';

  angular.module('starter.controllers')
    .controller('CompanyDetailsCtrl', CompanyDetailsCtrl);

  CompanyDetailsCtrl.$inject = ['$state', '$stateParams', '$ionicSlideBoxDelegate', 'dataService', 'localDataService'];

  function CompanyDetailsCtrl ($state, $stateParams, $ionicSlideBoxDelegate, dataService, localDataService) {
    let _this = this;
    _this.companyId = $stateParams.companyId;

    _this.currentTab = 0;
    _this.switchTab = switchTab;
    init();

    function init () {
      dataService.get('/company/'+ $stateParams.companyId)
        .then(function (resp) {
          _this.company = resp.data;
        });
    }
    function switchTab (curr) {
      _this.currentTab = curr;
    }
  }

})();
