(function () {
  'use strict';

  angular.module('starter.controllers')
    .controller('IntroCtrl', IntroCtrl);

  IntroCtrl.$inject = ['$scope', '$state', '$ionicSlideBoxDelegate'];

  function IntroCtrl($scope, $state, $ionicSlideBoxDelegate) {

    // Called to navigate to the main app
    $scope.startApp = function() {
      localStorage.setItem('intro', 'ok');
      $state.go('login');
    };
    $scope.next = function() {
      $ionicSlideBoxDelegate.next();
    };
    $scope.previous = function() {
      $ionicSlideBoxDelegate.previous();
    };

    // Called each time the slide changes
    $scope.slideChanged = function(index) {
      $scope.slideIndex = index;
      console.error(index);
    };
  }

})();
