(function () {
  'use strict';

  angular.module('starter.controllers')
    .controller('LaborDetailsCtrl', LaborDetailsCtrl);

  LaborDetailsCtrl.$inject = ['$state', '$stateParams', '$ionicSlideBoxDelegate', 'dataService', 'localDataService'];

  function LaborDetailsCtrl ($state, $stateParams, $ionicSlideBoxDelegate, dataService, localDataService) {
    let _this = this;
    _this.laborId = $stateParams.laborId;

    _this.currentTab = 0;
    _this.switchTab = switchTab;
    init();

    function init () {
      dataService.get('/labor/'+ $stateParams.laborId)
        .then(function (resp) {
          _this.labor = resp.data;
        });
    }
    function switchTab (curr) {
      _this.currentTab = curr;
    }
  }

})();
