(function () {
    'use strict';

    angular.module('starter.controllers')
        .controller('RootCtrl', RootCtrl);

    RootCtrl.$inject = ['$scope', '$rootScope', '$state', '$timeout'];

    function RootCtrl ($scope, $rootScope, $state, $timeout) {

        var _this = this;
        _this.go = go;
        //var hideTabsStates = ['tab.search', 'tab.category', 'tab.store', 'tab.storeAlbum', 'tab.itemList', 'tab.goods', 'tab.goodsDetails.desc', 'tab.goodsDetails.params'];
        var showTabsStates = ['tab.home', 'tab.messageList', 'tab.user', 'tab.tasks', 'tab.setting'];

        init();

        function init () {
            $rootScope.$on('$ionicView.enter', beforeEnterView);
        }

        function go (state, params) {
            $state.go(state, params);
        }

        function beforeEnterView () {
            $timeout(function () {
                if (!$rootScope.options) {
                    $rootScope.options = {};
                }
                $rootScope.options.hideTabs = showTabsStates.indexOf($state.current.name) == -1;
            }, 0);
        }
    }

})();
