(function () {
    'use strict';

    angular.module('starter.directives')
        .directive('tyComment', tyComment);

    tyComment.$inject = [];

    function tyComment () {
        return {
            restrict: 'AE',
            replace: true,
            templateUrl: 'templates/directive/tpl-comment.html',
            scope: {
                item: '=',
                reply: '&'
            },
            link: function (scope, element, attrs) {
                scope.clickCommentIcon = clickCommentIcon;

                function clickCommentIcon () {
                    scope.reply();
                }
            }
        }
    }
})();