(function () {
    'use strict';
    angular.module('starter.filters')
        .filter('countFilter', countFilter);
    
    function countFilter () {
        return function (count) {
            if (count == 0) {
                return '';
            } else if (count > 99) {
                return '99+';
            } else {
                return count;
            }
        }
    }
})();