(function () {
    'use strict';

    angular.module('starter.services')
        .service('localDataService', localDataService);

    localDataService.$inject = [];

    function localDataService () {
        var token = localStorage.getItem('Authorization'),
            homeData,
            categories,
            store,
            goodsDetail,
            searchCondition,
            user,
            userStore;

        this.getHomeData = getHomeData;
        this.setHomeData = setHomeData;
        this.getUser = getUser;
        this.setUser = setUser;
        this.getToken = getToken;
        this.setToken = setToken;
        this.getCategories = getCategories;
        this.setCategories = setCategories;
        this.getStore = getStore;
        this.setStore = setStore;
        this.getGoodsDetails = getGoodsDetails;
        this.setGoodsDetails = setGoodsDetails;
        this.getSearchCondition = getSearchCondition;
        this.setSearchCondition = setSearchCondition;
        this.getUserStore = getUserStore;
        this.setUserStore = setUserStore;

        function getHomeData () {
            return homeData;
        }

        function setHomeData (_homeData) {
            homeData = _homeData;
        }

        function getUser () {
          if (user) {
            return user;
          }
          /*if (localStorage.getItem('loginUser')) {
            setUser(JSON.parse(localStorage.getItem('loginUser')));
            return user;
          }*/
        }

        function setUser (_user) {
            user = _user;
        }

        function getToken () {
            return token;
        }

        function setToken (_token) {
            token = _token;
        }

        function getCategories () {
            return categories;
        }

        function setCategories (_categories) {
            categories = _categories;
        }

        function getStore () {
            return store;
        }

        function setStore (_store) {
            store = _store;
        }

        function setSearchCondition (_searchCondition) {
            searchCondition = _searchCondition;
        }

        function getSearchCondition () {
            return searchCondition;
        }

        function setGoodsDetails (_goodsDetails) {
            goodsDetail = _goodsDetails;
        }

        function getGoodsDetails () {
            return goodsDetail;
        }

        function setUserStore (_userStore) {
            userStore = _userStore;
        }

        function getUserStore () {
            return userStore;
        }
    }

})();
