(function () {
    'use strict';

    angular.module('starter.controllers')
        .controller('GoodsCategoryCtrl', GoodsCategoryCtrl);

    GoodsCategoryCtrl.$inject = ['$scope', '$state', 'dataService'];

    function GoodsCategoryCtrl ($scope, $state, dataService) {

        var _this = this;
        _this.newCategoryName = '';

        _this.addCategory = addCategory;

        init();

        function init () {
            // todo get categories
            /*dataService.get('/user-store/categories')
             .then(function (resp) {
             _this.categories = resp.categories;
             });*/

            _this.categories = [
                {
                    "id": 1,
                    "name": '分类1'
                },
                {
                    "id": 2,
                    "name": '分类2'
                },
                {
                    "id": 3,
                    "name": '分类3'
                },
                {
                    "id": 4,
                    "name": '分类4'
                },
                {
                    "id": 5,
                    "name": '分类5'
                },
                {
                    "id": 6,
                    "name": '分类6'
                },
                {
                    "id": 7,
                    "name": '分类7'
                },
                {
                    "id": 8,
                    "name": '分类8'
                },
                {
                    "id": 9,
                    "name": '分类9'
                },
                {
                    "id": 10,
                    "name": '分类10'
                }
            ];
        }

        function addCategory () {
            if (!_this.newCategoryName) {
                return;
            }
            // todo
            /*dataService.post('/user-store/categories', {name: _this.newCategoryName})
                .then(function (resp) {
                    _this.categories.push({id: resp.id, name: _this.newCategoryName});
                    _this.newCategoryName = '';
                })*/
            _this.categories.push({id: -1, name: _this.newCategoryName});
            _this.newCategoryName = '';
        }

    }
})();