(function () {
    'use strict';

    angular.module('starter.controllers')
        .controller('GoodsDetailsCtrl', GoodsDetailsCtrl);

    GoodsDetailsCtrl.$inject = ['$state', '$stateParams', '$ionicSlideBoxDelegate', 'dataService', 'localDataService'];

    function GoodsDetailsCtrl ($state, $stateParams, $ionicSlideBoxDelegate, dataService, localDataService) {
        var _this = this;
        _this.goodsId = $stateParams.goodsId;
        _this.share = share;
        _this.goHome = goHome;

        init();

        function init () {
            dataService.get('../js/mock/goods-details.json')
                .then(function (resp) {
                    _this.goods = resp.goods;
                });
        }

        function share () {
            _this.showMore = false;
            // todo
        }

        function goHome () {
            _this.showMore = false;
            $state.go('tab.home');
        }

    }

})();