(function () {
  'use strict';

  angular.module('starter.controllers')
    .controller('MessageCtrl', MessageCtrl);

  MessageCtrl.$inject = ['$scope', '$state', 'dataService', '$stateParams'];

  function MessageCtrl($scope, $state, dataService, $stateParams) {

    let _this = this;
    _this.message = {};

    init();

    function init() {
      dataService.get('/messages/' + $stateParams.messageId)
        .then(resp => {
          _this.message = resp.data;
        });
      dataService.put('/messages/' + $stateParams.messageId)
        .then(resp => {
          _this.message = resp.data;
        })
    }
  }

})();
