(function () {
    'use strict';

    angular.module('starter.controllers')
        .controller('StoreAlbumCtrl', StoreAlbumCtrl);

    StoreAlbumCtrl.$inject = ['$stateParams', 'dataService'];

    function StoreAlbumCtrl ($stateParams, dataService) {
        var _this = this;
        _this.storeId = $stateParams.storeId;
        _this.changePictures = changePictures;

        dataService.get('../js/mock/store-pictures.json')
            .then(function (resp) {
                _this.storePictures = resp.pictures;
                changePictures('store');
            });

        function changePictures (type) {
            _this.pictures = _this.storePictures[type];
        }
    }

})();