(function () {
    'use strict';

    angular.module('starter.controllers')
        .controller('UserPrivacyCtrl', UserPrivacyCtrl);

  UserPrivacyCtrl.$inject = ['$scope', '$state', 'localDataService', 'dataService'];

    function UserPrivacyCtrl ($scope, $state, localDataService, dataService) {
        var _this = this;

        _this.user = {};
        _this.save = save;

        init ();

        function init() {
          if (!localDataService.getUser()) {
            dataService.get('/user/currentUser')
              .then(function (resp) {
                _this.user = resp.data;
                localDataService.setUser(_this.user);
              });
          } else {
            _this.user = localDataService.getUser();
          }
        }
        function save (key) {
          if(_this.user.privacy[key]){
            _this.user.privacy[key] = 0;
          } else {
            _this.user.privacy[key] = 1;
          }
          dataService.post('/user/privacy', _this.user.privacy)
            .then(function (resp) {
            });
        }
    }

})();
