(function () {
    'use strict';

    angular.module('starter.controllers')
        .controller('UserStoreCtrl', UserStoreCtrl);

    UserStoreCtrl.$inject = ['$scope', '$state', 'dataService', 'localDataService'];

    function UserStoreCtrl ($scope, $state, dataService, localDataService) {

        var _this = this;

        // todo
        /*dataService.get('/user-store')
            .then(function (resp) {
                _this.store = resp.store;
            });*/

        _this.store = {
            "id": 198,
            "nickName": '张克山玉雕工作室',
            "avatar": 'uploadfiles/user/avatar01.jpg',
            "followCount": 101,
            "todayVisit": 520,
            "goodsCount": 50
        };

        localDataService.setUserStore(_this.store);

    }

})();