(function () {
    'use strict';

    angular.module('starter.directives')
        .directive('autoFocus', autoFocus);

    autoFocus.$inject = ['$timeout'];

    function autoFocus ($timeout) {
        return {
            'restrict': 'A',
            link: function (scope, element, attrs) {
                if (attrs.autoFocusEnable == 'true') {
                    $timeout(function () {
                        element[0].focus();
                        if (window.cordova && window.cordova.plugins && window.cordova.plugins.Keyboard) {
                            cordova.plugins.Keyboard.show(); //open keyboard manually
                        }
                    }, 350);
                }

            }
        };
    }
})();