(function () {
    'use strict';
    angular.module('starter.filters')
        .filter('serverUrlFilter', serverUrlFilter);

    serverUrlFilter.$inject = ['serverUrl'];

    function serverUrlFilter(serverUrl) {
        return function (str) {
            if (str) {
                return serverUrl + '/' + str;
            } else {
                return '';
            }
        }
    }
})();
