(function () {
    'use strict';
    angular.module('starter.filters')
        .filter('timeFilter', timeFilter)
      .filter('dateTime', dateTime);

    function timeFilter () {
        return function (time) {
            return time;
        }
    }

  /**
   * 时间格式化：2018-10-11 14:17:51.0 -> 2018-10-11 14:17
   */
  function dateTime () {
      return function (datetime) {
        return datetime && datetime.replace(/\s.*/, '');
      }
    }
})();
